components/python/kombu/kombu-PYVER.p5m
branchs11-update
changeset 2873 9e29fa568b11
parent 2785 b6f5c5d1d0b7
child 1666 69d14d547e77
child 3661 47545fb8aed4
child 4156 4b1def16fe9b
equal deleted inserted replaced
2872:5f6aed21119f 2873:9e29fa568b11
    19 # CDDL HEADER END
    19 # CDDL HEADER END
    20 #
    20 #
    21 # Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
    21 # Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
    22 #
    22 #
    23 
    23 
       
    24 # importlib is part of python 2.7, but separate in 2.6
       
    25 <transform depend type=require fmri=library/python-2/importlib-27 -> drop>
       
    26 # ordereddict is part of python 2.7, but separate in 2.6
       
    27 <transform depend type=require fmri=library/python-2/ordereddict-27 -> drop>
    24 # The test related file actions have not been included because they will fail
    28 # The test related file actions have not been included because they will fail
    25 # in dependency generation until the various test related modules that they
    29 # in dependency generation until the various test related modules that they
    26 # need are also provided.
    30 # need are also provided.
    27 set name=pkg.fmri \
    31 set name=pkg.fmri \
    28     value=pkg:/library/python-2/kombu-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
    32     value=pkg:/library/python-2/kombu-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
   103 
   107 
   104 # force a dependency on the Python runtime
   108 # force a dependency on the Python runtime
   105 depend type=require fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
   109 depend type=require fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
   106     pkg.debug.depend.path=usr/bin
   110     pkg.debug.depend.path=usr/bin
   107 
   111 
       
   112 # force a dependency on amqp; pkgdepend work is needed to flush this out.
       
   113 depend type=require fmri=library/python-2/amqp-$(PYV)
       
   114 
   108 # force a dependency on anyjson; pkgdepend work is needed to flush this out.
   115 # force a dependency on anyjson; pkgdepend work is needed to flush this out.
   109 depend type=require fmri=library/python-2/anyjson-$(PYV)
   116 depend type=require fmri=library/python-2/anyjson-$(PYV)
   110 
   117 
   111 # force a dependency on boto; pkgdepend work is needed to flush this out.
   118 # force a dependency on boto; pkgdepend work is needed to flush this out.
   112 depend type=require fmri=library/python-2/boto-$(PYV)
   119 depend type=require fmri=library/python-2/boto-$(PYV)
   113 
   120 
   114 # force a dependency on eventlet; pkgdepend work is needed to flush this out.
   121 # force a dependency on eventlet; pkgdepend work is needed to flush this out.
   115 depend type=require fmri=library/python-2/eventlet-$(PYV)
   122 depend type=require fmri=library/python-2/eventlet-$(PYV)
   116 
   123 
       
   124 # force a dependency on importlib; pkgdepend work is needed to flush this out.
       
   125 depend type=require fmri=library/python-2/importlib-$(PYV)
       
   126 
   117 # force a dependency on the kombu package
   127 # force a dependency on the kombu package
   118 depend type=require \
   128 depend type=require \
   119     fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
   129     fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
   120 
   130 
   121 # force a dependency on librabbitmq; pkgdepend work is needed to flush this out.
   131 # force a dependency on librabbitmq; pkgdepend work is needed to flush this out.
   122 depend type=require fmri=library/python-2/librabbitmq-$(PYV)
   132 depend type=require fmri=library/python-2/librabbitmq-$(PYV)
   123 
   133 
       
   134 # force a dependency on ordereddict; pkgdepend work is needed to flush this out.
       
   135 depend type=require fmri=library/python-2/ordereddict-$(PYV)
       
   136 
   124 # force a dependency on pyrabbit; pkgdepend work is needed to flush this out.
   137 # force a dependency on pyrabbit; pkgdepend work is needed to flush this out.
   125 depend type=require fmri=library/python-2/pyrabbit-$(PYV)
   138 depend type=require fmri=library/python-2/pyrabbit-$(PYV)